GET /institutions
Operation ID: listInstitutions
Auth: unknown
Description
Search and filter through institutions (universities, research centers) with filtering by country, type, and more.
Parameters (8)
(string, query, optional)
Cursor token for deep pagination (start with 'cursor=*')
(string, query, optional)
Filter constraints using field:value syntax. Multiple filters can be combined with commas (AND). Supports OR with pipe (|) and NOT with !. Examples: publication_year:2024, authorships.author.id:A5023888391, is_oa:true
(integer, query, optional, default: 1)
Page number for pagination (capped at 10,000 results total; use cursor for deeper pagination)
Constraints: {'minimum': 1}
(integer, query, optional, default: 25)
Number of results per page (default: 25, max: 100)
Constraints: {'minimum': 1, 'maximum': 100}
(integer, query, optional)
Return a random sample of N results (max: 10000)
Constraints: {'minimum': 1, 'maximum': 10000}
(string, query, optional)
Full-text search query
(string, query, optional)
Return only specified fields (comma-separated)
(string, query, optional)
Sort order using field:direction syntax. Direction can be 'asc' or 'desc'. Example: cited_by_count:desc
Examples (6)
| Title | Type | URL | Action |
|---|---|---|---|
| Search institutions by name | curl |
https://api.openalex.org/institutions?search=harvard |
|
| Paginated search results | curl |
https://api.openalex.org/institutions?page=2&per_page=50 |
|
| Search with pagination and larger page size | curl |
https://api.openalex.org/institutions?search=university&per_page=100 |
|
| Search institutions by name | doc_extracted |
https://api.openalex.org/institutions?search=MIT |
|
| Search for Stanford University | doc_extracted |
https://api.openalex.org/institutions?search=Stanford+University |
|
| List institutions | probe-gate |
https://api.openalex.org/institutions?per_page=25 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 11:04:11.422503 | 200 | 441ms | 0.6MB |
| 2026-03-23 11:00:04.276074 | 200 | 1461ms | 2.0MB |
| 2026-03-23 09:42:05.357915 | 200 | 648ms | 0.6MB |
| 2026-03-23 09:23:37.476412 | 200 | 446ms | 1.0MB |
| 2026-03-23 09:07:21.401668 | 200 | 757ms | 1.3MB |
| 2026-03-22 21:03:14.685372 | 200 | 355ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:07:21.401668 | 1018f83eb3b9 |
b311667d1d17 |
| 2026-03-23 09:23:37.476412 | b311667d1d17 |
0d3d01eee262 |
| 2026-03-23 09:42:05.357915 | 0d3d01eee262 |
07c2d4d7af1e |
| 2026-03-23 11:00:04.276074 | 07c2d4d7af1e |
feb1d1929c44 |
| 2026-03-23 11:04:11.422503 | feb1d1929c44 |
089fc0d38912 |